#ifndef NFCUID_H
#define NFCUID_H
#include <cstdint>
#include <string>

class NfcUid
{
public:
	uint8_t bytes[10];
	uint8_t length;
	bool operator==(const NfcUid& in) const
	{
		if(length != in.length)
			return false;
		for(uint8_t i = 0; i < length; ++i)
		{
			if(bytes[i] != in.bytes[i])
				return false;
		}
		return true;
	}
	bool operator!=(const NfcUid& in) const
	{
		return !operator==(in);
	}
	NfcUid(){}
	NfcUid(const std::initializer_list<const uint8_t> list)
	{
		length = list.size();
		uint8_t i = 0;
		for(std::initializer_list<const uint8_t>::iterator iter = list.begin(); iter != list.end(); ++iter)
			bytes[i++] = *iter;
	}
	NfcUid(const uint8_t* const bytesIn, uint8_t lengthIn): length(lengthIn)
	{
		for(uint8_t i = 0; i < length; ++i)
			bytes[i] = bytesIn[i];
	}
	std::string toString() const
	{
		std::string str;
		for(uint8_t i = 0; i < length; ++i)
		{
			str.append(std::to_string((int)bytes[i]));
			if(i != length-1)
				str.push_back(':');
		}
		return str;
	}
};

#endif // NFCUID_H

