#include "overlorditemstore.h"
#include <QDebug>
#include "train.h"

OverlordItemStore::OverlordItemStore(QObject *parent): ItemStore(parent)
{
}

std::shared_ptr<Train> OverlordItemStore::getTrainThatOwns(const NfcUid& uid)
{
	for(std::shared_ptr<Item> item : items_)
	{
		std::shared_ptr<Train> train = std::dynamic_pointer_cast<Train>(item);
		if(!train)
			continue;
		if(train->ownsTag(uid))
			return train;
	}
	return std::shared_ptr<Train>();
}
